Subject: Re: [Bugme-new] [Bug 10600] New: e1000 updates rx_bytes infrequently

From: Ben Liblit <[email-masked]>
Date: Mon, 05 May 2008 18:55:16 -0500

Perhaps userspace needs a way to tweak the update frequency?  Or perhaps 
the driver needs a way to tell userspace what update frequency it should 
expect?  Without some kind of coordination, we have the present silly 
situation: userspace network activity monitors are checking rx_bytes 
more frequently than could possibly be useful.

Do different Ethernet drivers update rx_bytes at the same rate?  Or is 
this completely ad hoc?